Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# textbuffer.h File Reference

A GtkTextMark, GtkTextChildAnchor and GtkTextBuffer C++ wrapper interface. More...

`#include <inti/glib/object.h>`
`#include <inti/gtk/textiter.h>`
`#include <inti/gtk/texttag.h>`
`#include <gtk/gtktextbuffer.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gdk
- namespace Inti::Gtk

## Detailed Description

A GtkTextMark, GtkTextChildAnchor and GtkTextBuffer C++ wrapper interface.

Provides TextMark, an object used to preserve positions across text buffer modifications, TextChildAnchor, a spot in a TextBuffer where child widgets can be anchored, and TextBuffer, a multiline text editing buffer that can be displayed in a TextView widget.
Main Page - Footer